import 'package:dio/dio.dart';
import 'package:injectable/injectable.dart';
import 'package:logger/logger.dart';
import 'package:shared_preferences/shared_preferences.dart';
import 'package:suga_core/suga_core.dart';

@module
abstract class RegisterModule {
  @singleton
  Future<SharedPreferences> getSharePreferences() async => SharedPreferences.getInstance();

  @singleton
  Future<HttpClient> getHttpClient() async {
    final HttpClientConfig config = HttpClientConfig(
      dioOptions: BaseOptions(
        baseUrl: "http://dev.sugamobile.com:26124",
        connectTimeout: 30000,
        receiveTimeout: 30000,
      ),
      logger: Logger(
        level: Level.debug,
        printer: SimplePrinter(),
      ),
      verbose: true,
    );
    return HttpClient(config);
  }
}
