import 'package:dio/dio.dart';
import 'package:logger/logger.dart';

typedef AccessTokenProvider = Future<String> Function();

typedef UnauthorizedResponseHandler = void Function();

class HttpClientConfig {
  BaseOptions dioOptions;

  Logger logger;

  bool verbose;

  AccessTokenProvider accessTokenProvider;

  UnauthorizedResponseHandler unauthorizedResponseHandler;

  List<Interceptor> extraInterceptors;
  
  Map<String, dynamic> extraHeaders;

  HttpClientConfig({this.dioOptions, this.logger, this.verbose = false, this.accessTokenProvider, this.unauthorizedResponseHandler, this.extraInterceptors, this.extraHeaders});
}
